Last Comment Bug 748379 - xulrunner builds broken by "webapprt: No such file or directory"
: xulrunner builds broken by "webapprt: No such file or directory"
Status: RESOLVED FIXED
[qa-]
:
Product: Firefox Graveyard
Classification: Graveyard
Component: Webapp Runtime (show other bugs)
: unspecified
: All All
: -- normal
: ---
Assigned To: Nobody; OK to take it and work on it
: Jason Smith [:jsmith]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-24 08:30 PDT by Myk Melez [:myk] [@mykmelez]
Modified: 2016-03-21 12:39 PDT (History)
5 users (show)
jsmith: in‑moztrap-
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch v1: only enable the runtime for Firefox (793 bytes, patch)
2012-04-24 14:41 PDT, Myk Melez [:myk] [@mykmelez]
dtownsend: review+
Details | Diff | Review

Description Myk Melez [:myk] [@mykmelez] 2012-04-24 08:30:01 PDT
Mac and Windows xulrunner builds are broken with the error "webapprt: No such file or directory":

<https://tbpl.mozilla.org/?rev=21da3f655b30&noignore=1>:

/bin/sh: line 0: cd: universal/xulrunner/XUL.framework/Versions/Current/webapprt: No such file or directory
- <https://tbpl.mozilla.org/php/getParsedLog.php?id=11150844&tree=Firefox&full=1#error0>

/bin/sh: line 0: cd: xulrunner/webapprt: No such file or directory
- <https://tbpl.mozilla.org/php/getParsedLog.php?id=11151235&tree=Firefox&full=1#error0>
Comment 1 Myk Melez [:myk] [@mykmelez] 2012-04-24 14:41:29 PDT
Created attachment 618053 [details] [diff] [review]
patch v1: only enable the runtime for Firefox

1. configure.in enables the runtime for Windows and Mac by defining MOZ_WEBAPP_RUNTIME for those target OSes;

    case "${target}" in
    *darwin*)
        ACCESSIBILITY=
        MOZ_WEBAPP_RUNTIME=1
        ;;
    *)
        ACCESSIBILITY=1
        ;;
    esac
    
    case "$target_os" in
        mingw*)
            NS_ENABLE_TSF=1
            AC_DEFINE(NS_ENABLE_TSF)
            MOZ_WEBAPP_RUNTIME=1
            ;;
    esac

2. only Firefox builds webapprt/ (via its browser/build.mk);

    ifdef MOZ_WEBAPP_RUNTIME
    tier_app_dirs += webapprt
    endif

3. toolkit/mozapps/installer/packager.mk tries to package the runtime if MOZ_WEBAPP_RUNTIME is defined, regardless of what was built;

4. `make package` fails for XULRunner because webapprt/ wasn't built.


The solution seems obvious: only enable the runtime for Firefox.  We could test for MOZ_BUILD_APP=browser in configure.in, but project-specific defines are what confvars.sh is for.  Here's a patch.  Tryserver run:

https://tbpl.mozilla.org/?tree=Try&noignore=1&rev=cd8a979582d2


Dave: the changes are in configure.in and browser/confvars.sh.  Are you ok to review this, or should I get a Build Config peer like bsmedberg to review it?
Comment 2 Dave Townsend [:mossop] 2012-04-25 08:44:53 PDT
Comment on attachment 618053 [details] [diff] [review]
patch v1: only enable the runtime for Firefox

I don't think anyone else needs to look at this.
Comment 3 Myk Melez [:myk] [@mykmelez] 2012-04-25 13:45:55 PDT
Comment on attachment 618053 [details] [diff] [review]
patch v1: only enable the runtime for Firefox

https://hg.mozilla.org/integration/mozilla-inbound/rev/cd0ea13a52bb
Comment 4 Ed Morley [:emorley] 2012-04-26 10:45:12 PDT
https://hg.mozilla.org/mozilla-central/rev/cd0ea13a52bb
Comment 5 Simon Kornblith 2012-04-27 20:39:07 PDT
Can this be merged to Aurora?
Comment 6 Dave Townsend [:mossop] 2012-05-01 15:02:20 PDT
Comment on attachment 618053 [details] [diff] [review]
patch v1: only enable the runtime for Firefox

[Approval Request Comment]
Regression caused by (bug #): Bug 746156
User impact if declined: No XULRunner builds on OSX and Windows for XULRunner 14
Testing completed (on m-c, etc.): On m-c for a few days, builds complete successfully
Risk to taking this patch (and alternatives if risky): None I think
String changes made by this patch: None
Comment 7 Lukas Blakk [:lsblakk] use ?needinfo 2012-05-01 15:11:50 PDT
approval-mozilla-aurora+=me 
low/no known risk, and getting xulrunner builds for 14 seems pretty useful.
Comment 8 Dave Townsend [:mossop] 2012-05-01 15:28:04 PDT
fixed on aurora: https://hg.mozilla.org/releases/mozilla-aurora/rev/ef9cb1276f4c
Comment 9 Jason Smith [:jsmith] 2012-05-12 08:33:58 PDT
Myk - Trying to figure out what I need to verify here - Could you clarify?
Comment 10 Myk Melez [:myk] [@mykmelez] 2012-05-14 10:22:13 PDT
I don't think there's anything to verify here, except possibly that XULRunner nightly builds are no longer busted (at least not for this reason):

https://tbpl.mozilla.org/?noignore=1&rev=ac968ff4fe41

Note You need to log in before you can comment on or make changes to this bug.